1. 11 Sep, 2022 1 commit
  2. 07 Aug, 2022 1 commit
  3. 06 Aug, 2022 2 commits
  4. 02 Aug, 2022 3 commits
  5. 26 Jul, 2022 6 commits
  6. 28 Jun, 2022 3 commits
  7. 27 Apr, 2022 1 commit
  8. 28 Mar, 2022 2 commits
    • Eric Timmons's avatar
      Merge branch 'tweak-cldi-ci-rules' into 'master' · 16d7549e
      Eric Timmons authored
      Fix some CI pipeline issues:
      
      1. Do not trigger the standard pipeline and New image pipeline simultaneously.
      2. Fix creation of issues when a new image is tested and fails.
      3. Pin Clasp to b14e329f49998275579926da2a737885ceb2cea7. Clasp 1.0.0 needs LLVM 13, which means the most logical base image to use is based on Debian Bookworm. However, Bookworm uses the faccessat2 system call, which incorrectly returns EPERM (instead of ENOSYS) on certain versions of Docker. This breaks many things and has been reported to the CLF.
      
      See merge request !183
      16d7549e
    • Eric Timmons's avatar
      Fix some CI pipeline issues: · c5405810
      Eric Timmons authored
      1. Do not trigger the standard pipeline and New image pipeline simultaneously.
      2. Fix creation of issues when a new image is tested and fails.
      3. Pin Clasp to b14e329f49998275579926da2a737885ceb2cea7. Clasp 1.0.0 needs LLVM 13, which means the most logical base image to use is based on Debian Bookworm. However, Bookworm uses the faccessat2 system call, which incorrectly returns EPERM (instead of ENOSYS) on certain versions of Docker. This breaks many things and has been reported to the CLF.
      c5405810
  9. 23 Feb, 2022 2 commits
  10. 14 Feb, 2022 2 commits
  11. 20 Jan, 2022 1 commit
  12. 18 Jan, 2022 4 commits
  13. 17 Jan, 2022 2 commits
  14. 10 Jan, 2022 3 commits
  15. 07 Jan, 2022 2 commits
  16. 06 Jan, 2022 2 commits
  17. 05 Jan, 2022 3 commits
    • Robert Goldman's avatar
      Bump version to 3.3.5.5 · 864bbe24
      Robert Goldman authored
      864bbe24
    • Robert Goldman's avatar
      Merge branch 'iss94' into 'master' · a3059e88
      Robert Goldman authored
      Ensure version slot of preloaded systems is correct after an upgrade
      
      Closes #94
      
      See merge request !194
      a3059e88
    • Eric Timmons's avatar
      Fix test-module-excessive-depend.script · eebb10b6
      Eric Timmons authored
      This test has probably been broken for a very long time, but it was missed due
      to UPGRADE-ASDF returning T all the time. This meant that the first LOAD-OP was
      performed in a new session, *not* the session created at the top of the
      file. Once UPGRADE-ASDF was fixed, then the done status of the LOAD-OP was
      persisted, resulting in the next LOAD-OP being a no op.
      
      However, this breakage wasn't immediately apparent because FILE-WRITE-DATE was
      compared with #'>= and the PLAN was not asserted to actually contain the
      operations we wanted to see. So on a fast computer (unless you got really
      unlucky) you'd never see the failed test.
      eebb10b6